#pragma once
#include <stdint.h>

namespace Utilities
{
    uint64_t get_blocks_from_size(uint64_t blocksize,
                                  uint64_t size); // Returns how many blocks of size blocksize does size occupy.

    uint64_t get_rflags();
    uint64_t get_top_of_stack(uint64_t bottom, uint64_t stack_pages);
    uint64_t round_down_to_nearest_page(uint64_t addr);
    uint64_t round_up_to_nearest_page(uint64_t addr);
}